> For the complete documentation index, see [llms.txt](https://myshell-wiki.gitbook.io/proconfig-tutorial/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://myshell-wiki.gitbook.io/proconfig-tutorial/api-reference/widgets/54-email-sender.md).

# Email Sender

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1792128244174712832) to try this widget and copy the Pro Config template.

## Usage

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>to_email</td><td><code>string</code></td><td>The email address you want to send to</td><td></td><td>true</td></tr><tr><td>subject</td><td><code>string</code></td><td>The subject of the email</td><td></td><td>true</td></tr><tr><td>html_content</td><td><code>string</code></td><td>The html body of the mail</td><td></td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name   | Type     | Description                     | File Type |
| ------ | -------- | ------------------------------- | --------- |
| result | `object` | The result of the email sending |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "result": "success"
}
```

{% endcode %}
{% endtab %}

{% tab title="fail" %}
{% code fullWidth="false" %}

```json
{
  "result": "failed"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://myshell-wiki.gitbook.io/proconfig-tutorial/api-reference/widgets/54-email-sender.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
